Start Campaign
curl --request POST \
--url https://api.ravan.ai/api/v1/campaigns/{id}/start \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.ravan.ai/api/v1/campaigns/{id}/start"
headers = {"X-Api-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.ravan.ai/api/v1/campaigns/{id}/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {}
}Campaign API
Start Campaign
Start Campaign.
POST
/
api
/
v1
/
campaigns
/
{id}
/
start
Start Campaign
Authorizations
string
required
Your Agni API key used to authenticate the request. Pass it in the
X-Api-Key header. Find or rotate it from your Ravan AI account settings.Path Parameters
string
required
The unique ID of the resource in the path. Use the ID returned by the related create or list endpoint.
Response
boolean
Whether the request succeeded.
string
Human-readable status message.

